/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2020. All rights reserved.
 * Description: 通讯组件（CM）event异步调用 示例程序服务端头文件
 */

#ifndef HUAWEI_AP_CM_EVENT_DDS_ASYNC_SERVER_ACTIVITY_H
#define HUAWEI_AP_CM_EVENT_DDS_ASYNC_SERVER_ACTIVITY_H

// 建议包含生成代码中的executable.h(内部包含了xxx_skeleton.h)
#include <memory>
//#include "dds_event_async_server_sample/executable.h"
#include "ara/log/logging.h"

//namespace sample1 {
class ServerActivity {
public:
    ServerActivity();
    ~ServerActivity();
    virtual void Init();
    virtual bool OnInit();
    virtual void RunThread();
    void Act();
    void Stop();

protected:
    // using Skeleton = huawei::ap::sample::skeleton::DdsEventAsyncSampleSkeleton;
    ara::log::Logger& log_ {ara::log::CreateLogger("act", "cm dds event async server sample context",
        ara::log::LogLevel::kVerbose)};

//    std::shared_ptr<Image> image = std::make_shared<Image>(nullptr);

};
//}  // namespace camera

#endif  // HUAWEI_AP_CM_EVENT_DDS_ASYNC_SERVER_ACTIVITY_H
